{% load custom_tags %}

<div class="col-md-8 col-sm-8 col-xs-12">
    <div class="x_panel">
        <div class="x_title">
            <h2>{{ titulo }} <small>{{ subtitulo }}</small></h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                       aria-expanded="false"><i class="fa fa-wrench"></i></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">Settings 1</a>
                        </li>
                        <li><a href="#">Settings 2</a>
                        </li>
                    </ul>
                </li>
                <li><a class="close-link"><i class="fa fa-close"></i></a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="dashboard-widget-content">
                <div class="col-md-4 hidden-small">
                    <table class="states_list">
                        <thead>
                        <tr>
                            <th>Estado</th>
                            <th class="fs15 fw700 text-right">Territórios</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for dado in dados %}
                            <tr>
                                <td>{{ dado.nome }}</td>
                                <td class="fs15 fw700 text-right">{{ dado.qtd_territorios }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                <div id="map-{{ titulo | slugify }}" class="col-md-8 col-sm-12 col-xs-12"
                     style="height:230px;"></div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

    $(document).ready(function() {
        var data = {{ dados | jsonify_queryset:jsonify_queryset_opts | safe}};
        var map_data = {};
        for (var i=0; i<data.length; i++) {
            map_data[data[i]['{{ territory_label }}']] = data[i]['{{ territory_value }}'];
        }

        $('#map-{{ titulo | slugify }}').vectorMap({
            map: 'brazil_br',
            backgroundColor: null,
            color: '#ffffff',
            hoverOpacity: 0.7,
            selectedColor: '#666666',
            enableZoom: true,
            showTooltip: true,
            values: map_data,
            scaleColors: ['#E6F2F0', '#149B7E'],
            normalizeFunction: 'polynomial'
        });
    });
</script>